Bug 177514 - libgdiplus needs to be installed prior to mono
libgdiplus needs to be installed prior to mono
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-01-11 07:40 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-20 12:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-11 07:40:37 EST
Description of problem:
Before mono is installed, libgdiplus should be installed (it is needed for the
likes of System.Web and bits of System.Drawing). When compiling from the SRPM,
prior to the build a message appears that mono assumes libgdiplus is already

Version-Release number of selected component (if applicable):

How reproducible:

Actual Results:
mono installs irrespective of libgdiplus being there or not

Expected results:
mono install should fail until libgdiplus is installed

Additional info:
Comment 1 Rahul Sundaram 2006-02-20 05:43:01 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Alexander Larsson 2006-02-20 12:17:24 EST
Seems ok to me:

rpm -q --requires mono-core | grep gdi

Note You need to log in before you can comment on or make changes to this bug.